From f8f7179824f5540ee64900d20af39dfc9bacd490 Mon Sep 17 00:00:00 2001
From: Nate Graham <nate@kde.org>
Date: Sun, 14 Jun 2020 09:09:48 -0600
Subject: [PATCH] Port applet to use PlasmaExtras.PlaceholderMessage

The Kirigami version uses QQC2 elements which don't respect the plasma
theme and color scheme, leading to thing slooking out of place
especially when using a dark color theme or scheme.

Depends on https://invent.kde.org/frameworks/plasma-framework/-/merge_requests/13
---
 CMakeLists.txt                      | 6 ------
 plasma/package/contents/ui/main.qml | 4 +---
 2 files changed, 1 insertion(+), 9 deletions(-)

diff --git a/CMakeLists.txt b/CMakeLists.txt
index e7aa0df..bc7c260 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -66,12 +66,6 @@ if (KF5NetworkManagerQt_FOUND)
 endif()
 find_package (KSysGuard REQUIRED)
 
-find_package(KF5Kirigami2 ${KF5_DEP_VERSION} CONFIG)
-set_package_properties(KF5Kirigami2 PROPERTIES
-    DESCRIPTION "A QtQuick based components set"
-    TYPE RUNTIME
-)
-
 include_directories (
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/common
diff --git a/plasma/package/contents/ui/main.qml b/plasma/package/contents/ui/main.qml
index 22c7428..bfac7a9 100644
--- a/plasma/package/contents/ui/main.qml
+++ b/plasma/package/contents/ui/main.qml
@@ -26,8 +26,6 @@ import org.kde.plasma.plasmoid 2.0
 import org.kde.plasma.components 2.0 as PlasmaComponents
 import org.kde.plasma.extras 2.0 as PlasmaExtras
 
-import org.kde.kirigami 2.12 as Kirigami
-
 Item {
     property var vaultsModel: plasmoid.nativeInterface.vaultsModel
     property var vaultsModelActions: plasmoid.nativeInterface.vaultsModel.actionsModel()
@@ -77,7 +75,7 @@ Item {
 
             interactive: false
 
-            Kirigami.PlaceholderMessage {
+            PlasmaExtras.PlaceholderMessage {
                 id: noVaultsMessage
 
                 anchors.centerIn: parent
-- 
2.27.0

